com.mysql.jdbc

## Class ConnectionGroupManager

- java.lang.Object
- - com.mysql.jdbc.ConnectionGroupManager

    public class ConnectionGroupManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ConnectionGroupManager()`

### Method Summary

Methods
`static void` `addHost(java.lang.String group, java.lang.String host, boolean forExisting)`
`static int` `getActiveHostCount(java.lang.String group)`
`static java.lang.String` `getActiveHostLists(java.lang.String group)`
`static long` `getActiveLogicalConnectionCount(java.lang.String group)`
`static long` `getActivePhysicalConnectionCount(java.lang.String group)`
`static ConnectionGroup` `getConnectionGroup(java.lang.String groupName)`
`static ConnectionGroup` `getConnectionGroupInstance(java.lang.String groupName)`
`static java.lang.String` `getRegisteredConnectionGroups()`
`static int` `getTotalHostCount(java.lang.String group)`
`static long` `getTotalLogicalConnectionCount(java.lang.String group)`
`static long` `getTotalPhysicalConnectionCount(java.lang.String group)`
`static long` `getTotalTransactionCount(java.lang.String group)`
`static void` `registerJmx()`
`static void` `removeHost(java.lang.String group, java.lang.String host)`
`static void` `removeHost(java.lang.String group, java.lang.String host, boolean removeExisting)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionGroupManager

    public ConnectionGroupManager()

### Method Detail

#### getConnectionGroupInstance

    public static ConnectionGroup getConnectionGroupInstance(java.lang.String groupName)

#### registerJmx

    public static void registerJmx()
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getConnectionGroup

    public static ConnectionGroup getConnectionGroup(java.lang.String groupName)

#### addHost

    public static void addHost(java.lang.String group,
               java.lang.String host,
               boolean forExisting)

#### getActiveHostCount

    public static int getActiveHostCount(java.lang.String group)

#### getActiveLogicalConnectionCount

    public static long getActiveLogicalConnectionCount(java.lang.String group)

#### getActivePhysicalConnectionCount

    public static long getActivePhysicalConnectionCount(java.lang.String group)

#### getTotalHostCount

    public static int getTotalHostCount(java.lang.String group)

#### getTotalLogicalConnectionCount

    public static long getTotalLogicalConnectionCount(java.lang.String group)

#### getTotalPhysicalConnectionCount

    public static long getTotalPhysicalConnectionCount(java.lang.String group)

#### getTotalTransactionCount

    public static long getTotalTransactionCount(java.lang.String group)

#### removeHost

    public static void removeHost(java.lang.String group,
                  java.lang.String host)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### removeHost

    public static void removeHost(java.lang.String group,
                  java.lang.String host,
                  boolean removeExisting)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getActiveHostLists

    public static java.lang.String getActiveHostLists(java.lang.String group)

#### getRegisteredConnectionGroups

    public static java.lang.String getRegisteredConnectionGroups()